Skip to main content
`Ctrl`+`K`

# TSGLLESetType

sets the class of general linear method, `TSGLLE` to use for time-stepping

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGLLESetType(TS ts, TSGLLEType type)

Collective

## Input Parameters

- ts - the `TS` context

- type - a method

## Options Database Key

- -ts_gl_type <type> - sets the method, use -help for a list of available method (e.g. irks)

## Notes

See “petsc/include/petscts.h” for available methods (for instance)

- TSGLLE_IRKS - Diagonally implicit methods with inherent Runge-Kutta stability (for stiff problems)

Normally, it is best to use the `TSSetFromOptions()` command and then set the `TSGLLE` type from the options database rather than by using this routine. Using the options database provides the user with maximum flexibility in evaluating the many different solvers. The `TSGLLESetType()` routine is provided for those situations where it is necessary to set the timestepping solver independently of the command line or options database. This might be the case, for example, when the choice of solver changes during the execution of the program, and the user’s application is taking responsibility for choosing the appropriate method.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSGLLEType`, `TSGLLE`

## Level

intermediate

## Location

src/ts/impls/implicit/glle/glle.c

## Implementations

TSGLLESetType_GLLE() in src/ts/impls/implicit/glle/glle.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages